> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an account group for a company



## OpenAPI

````yaml put /account-groups/{accountCategoryId}
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /account-groups/{accountCategoryId}:
    put:
      tags:
        - Accounts
      summary: Update an account group for a company
      operationId: updateAccountGroup
      parameters:
        - name: accountCategoryId
          in: path
          required: true
          schema:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
          description: Unique UUID of the account.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountGroupCreationRequest'
        required: true
      responses:
        '200':
          description: An account group has been updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountGroupResponse'
        '400':
          description: validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: An account group does not exist or does not match the company
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              schema:
                example: >-
                  Something went wrong. Please contact the administrator if
                  problems persist.
      deprecated: true
components:
  schemas:
    AccountGroupCreationRequest:
      type: object
      properties:
        name:
          type: string
          description: Description of the account group
        typeKey:
          type: string
          description: Type key of the account group
          enum:
            - entertainment
            - equipment_and_hardware
            - marketing_and_advertising
            - meals_and_drinks
            - office_expenses
            - phone_and_internet
            - services_and_consultancy
            - software
            - supplies
            - travel
            - other
            - no_suitable_category
        hidden:
          type: boolean
          description: Is the account hidden/archived for the user
    AccountGroupResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique UUID identifier of the account group
        name:
          type: string
          description: Description of the account group
        typeKey:
          type: string
          description: Type key of the account group
          enum:
            - entertainment
            - equipment_and_hardware
            - marketing_and_advertising
            - meals_and_drinks
            - office_expenses
            - phone_and_internet
            - services_and_consultancy
            - software
            - supplies
            - travel
            - other
            - no_suitable_category
        hidden:
          type: boolean
          description: Is the account hidden/archived for the user
      required:
        - id
        - name
        - typeKey
        - hidden
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````